diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/3D/FontManager.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/3D/FontManager.cxx
--- bzflag-2.0.10.20071115/src/3D/FontManager.cxx	2007-09-18 03:18:13.000000000 +0530
+++ bzflag-2.0.10.20071115/src/3D/FontManager.cxx	2008-03-04 13:41:22.000000000 +0530
@@ -19,6 +19,7 @@
 // System headers
 #include <math.h>
 #include <string>
+#include <cstring>
 
 // Global implementation headers
 #include "bzfgl.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/3D/Makefile /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/3D/Makefile
--- bzflag-2.0.10.20071115/src/bzadmin/OptionParser.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzadmin/OptionParser.cxx	2008-03-04 14:23:55.000000000 +0530
@@ -14,6 +14,8 @@
 #pragma warning( 4: 4786)
 #endif
 
+#include <cstring>
+
 /* interface header */
 #include "OptionParser.h"
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzflag/ControlPanel.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzflag/ControlPanel.cxx
--- bzflag-2.0.10.20071115/src/bzflag/ControlPanel.cxx	2007-09-18 03:18:12.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzflag/ControlPanel.cxx	2008-03-04 14:18:49.000000000 +0530
@@ -17,8 +17,9 @@
 #include "ControlPanel.h"
 
 /* system headers */
-#include <assert.h>
-#include <time.h>
+#include <cassert>
+#include <ctime>
+#include <cstring>
 
 /* common implementation headers */
 #include "BZDBCache.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzflag/HelpMenu.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzflag/HelpMenu.cxx
--- bzflag-2.0.10.20071115/src/bzflag/HelpMenu.cxx	2007-09-18 03:18:12.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzflag/HelpMenu.cxx	2008-03-04 14:19:43.000000000 +0530
@@ -10,6 +10,7 @@
  * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
 
+#include <cstring>
 /* interface header */
 #include "HelpMenu.h"
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzflag/JoinMenu.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzflag/JoinMenu.cxx
--- bzflag-2.0.10.20071115/src/bzflag/JoinMenu.cxx	2007-09-18 03:18:12.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzflag/JoinMenu.cxx	2008-03-04 14:20:16.000000000 +0530
@@ -10,6 +10,7 @@
  * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
 
+#include <cstring>
 /* interface header */
 #include "JoinMenu.h"
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzflag/Makefile /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzflag/Makefile
--- bzflag-2.0.10.20071115/src/bzflag/ServerMenu.cxx	2007-09-18 03:18:12.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzflag/ServerMenu.cxx	2008-03-04 14:21:45.000000000 +0530
@@ -10,6 +10,7 @@
  * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
 
+#include <cstring>
 /* interface header */
 #include "ServerMenu.h"
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzflag/sound.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzflag/sound.cxx
--- bzflag-2.0.10.20071115/src/bzflag/sound.cxx	2007-09-18 03:18:12.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzflag/sound.cxx	2008-03-04 14:23:03.000000000 +0530
@@ -16,6 +16,7 @@
 // system headers
 #include <vector>
 #include <map>
+#include <cstring>
 
 // common headers
 #include "BzfMedia.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/AccessControlList.h /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/AccessControlList.h
--- bzflag-2.0.10.20071115/src/bzfs/AccessControlList.h	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/AccessControlList.h	2008-03-04 14:10:14.000000000 +0530
@@ -15,6 +15,7 @@
 
 #include <vector>
 #include <string>
+#include <cstring>
 
 #include "TimeKeeper.h"
 #include "Address.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/Authentication.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/Authentication.cxx
--- bzflag-2.0.10.20071115/src/bzfs/Authentication.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/Authentication.cxx	2008-03-04 14:10:37.000000000 +0530
@@ -12,7 +12,7 @@
 
 /* interface header */
 #include "Authentication.h"
-
+#include <cstring>
 
 // because kebos dosn't asume anyone else but them has defines.
 #ifdef MAXHOSTNAMELEN
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomBase.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomBase.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomBase.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomBase.cxx	2008-03-04 14:11:48.000000000 +0530
@@ -12,6 +12,7 @@
 
 /* interface header */
 #include "CustomBase.h"
+#include <cstring>
 
 /* common implementation headers */
 #include "global.h" // for CtfTeams
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomDynamicColor.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomDynamicColor.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomDynamicColor.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomDynamicColor.cxx	2008-03-04 14:12:11.000000000 +0530
@@ -18,6 +18,7 @@
 /* system implementation headers */
 #include <sstream>
 #include <vector>
+#include <cstring>
 
 /* common implementation headers */
 #include "DynamicColor.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomGroup.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomGroup.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomGroup.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomGroup.cxx	2008-03-04 14:12:56.000000000 +0530
@@ -16,6 +16,7 @@
 /* system headers */
 #include <sstream>
 #include <string>
+#include <cstring>
 
 /* common headers */
 #include "global.h" // for CtfTeams
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomMeshTransform.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomMeshTransform.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomMeshTransform.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomMeshTransform.cxx	2008-03-04 14:13:19.000000000 +0530
@@ -17,6 +17,7 @@
 
 /* system implementation headers */
 #include <sstream>
+#include <cstring>
 
 /* common implementation headers */
 #include "MeshTransform.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomPhysicsDriver.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomPhysicsDriver.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomPhysicsDriver.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomPhysicsDriver.cxx	2008-03-04 14:13:43.000000000 +0530
@@ -17,6 +17,7 @@
 
 /* system implementation headers */
 #include <sstream>
+#include <cstring>
 
 /* common implementation headers */
 #include "PhysicsDriver.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomTextureMatrix.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomTextureMatrix.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomTextureMatrix.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomTextureMatrix.cxx	2008-03-04 14:14:26.000000000 +0530
@@ -16,7 +16,8 @@
 #include "CustomTextureMatrix.h"
 
 /* system implementation headers */
-#include <math.h>
+#include <cmath>
+#include <cstring>
 
 /* common implementation headers */
 #include "TextureMatrix.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomWaterLevel.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomWaterLevel.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomWaterLevel.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomWaterLevel.cxx	2008-03-04 14:14:44.000000000 +0530
@@ -14,6 +14,7 @@
 
 /* interface header */
 #include "CustomWaterLevel.h"
+#include <cstring>
 
 /* bzfs implementation headers */
 #include "WorldInfo.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomWeapon.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomWeapon.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomWeapon.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomWeapon.cxx	2008-03-04 14:15:07.000000000 +0530
@@ -17,7 +17,8 @@
 /* system headers */
 #include <sstream>
 #include <string>
-#include <math.h>
+#include <cmath>
+#include <cstring>
 
 /* local implementation headers */
 #include "WorldWeapons.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/CustomZone.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/CustomZone.cxx
--- bzflag-2.0.10.20071115/src/bzfs/CustomZone.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/CustomZone.cxx	2008-03-04 14:15:33.000000000 +0530
@@ -10,6 +10,7 @@
  * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
  */
 
+#include <cstring>
 /* the common header */
 #include "common.h"
 
--- bzflag-2.0.10.20071115/src/bzfs/ParseMaterial.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/ParseMaterial.cxx	2008-03-04 14:16:01.000000000 +0530
@@ -16,6 +16,7 @@
 
 /* system headers */
 #include <sstream>
+#include <cstring>
 
 /* common implementation headers */
 #include "ParseColor.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/TeamBases.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/TeamBases.cxx
--- bzflag-2.0.10.20071115/src/bzfs/TeamBases.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/TeamBases.cxx	2008-03-04 14:16:31.000000000 +0530
@@ -14,6 +14,8 @@
 #pragma warning(4:4786)
 #endif
 
+#include <cstring>
+
 #include "Protocol.h"
 #include "TeamBases.h"
 #include "Pack.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/WorldFileLocation.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/WorldFileLocation.cxx
--- bzflag-2.0.10.20071115/src/bzfs/WorldFileLocation.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/WorldFileLocation.cxx	2008-03-04 14:16:50.000000000 +0530
@@ -15,8 +15,9 @@
 #endif
 #include "common.h"
 #include "Pack.h"
-#include <math.h>
+#include <cmath>
 #include <sstream>
+#include <cstring>
 
 #include "WorldFileObject.h"
 #include "WorldFileLocation.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/WorldFileObject.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/WorldFileObject.cxx
--- bzflag-2.0.10.20071115/src/bzfs/WorldFileObject.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/WorldFileObject.cxx	2008-03-04 14:17:04.000000000 +0530
@@ -23,6 +23,7 @@
 #include <string>
 #include <iostream>
 #include <vector>
+#include <cstring>
 
 WorldFileObject::WorldFileObject()
 {
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/bzfs/WorldFileObstacle.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/bzfs/WorldFileObstacle.cxx
--- bzflag-2.0.10.20071115/src/bzfs/WorldFileObstacle.cxx	2007-09-18 03:18:10.000000000 +0530
+++ bzflag-2.0.10.20071115/src/bzfs/WorldFileObstacle.cxx	2008-03-04 14:17:22.000000000 +0530
@@ -15,7 +15,8 @@
 #endif
 
 #include "common.h"
-#include <math.h>
+#include <cmath>
+#include <cstring>
 
 #include "WorldFileObstacle.h"
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/AccessList.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/AccessList.cxx
--- bzflag-2.0.10.20071115/src/common/AccessList.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/AccessList.cxx	2008-03-04 13:42:36.000000000 +0530
@@ -16,8 +16,9 @@
 #include "AccessList.h"
 
 // system headers
-#include <stdio.h>
-#include <ctype.h>
+#include <cstdio>
+#include <cctype>
+#include <cstring>
 
 // common headers
 #include "bzfio.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/Bundle.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/Bundle.cxx
--- bzflag-2.0.10.20071115/src/common/Bundle.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/Bundle.cxx	2008-03-04 13:59:46.000000000 +0530
@@ -19,7 +19,8 @@
 
 // system headers
 #include <fstream>
-#include <stdio.h>
+#include <cstdio>
+#include <cstring>
 
 // local implementation headers
 #include "StateDatabase.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/cURLManager.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/cURLManager.cxx
--- bzflag-2.0.10.20071115/src/common/cURLManager.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/cURLManager.cxx	2008-03-04 14:03:17.000000000 +0530
@@ -12,6 +12,7 @@
 
 // class interface header
 
+#include <cstring>
 #include "cURLManager.h"
 
 // common implementation headers
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/Flag.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/Flag.cxx
--- bzflag-2.0.10.20071115/src/common/Flag.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/Flag.cxx	2008-03-04 14:01:05.000000000 +0530
@@ -16,8 +16,9 @@
 #include "Flag.h"
 
 /* system implementation headers */
-#include <math.h>
+#include <cmath>
 #include <string>
+#include <cstring>
 
 /* common implementation headers */
 #include "Team.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/StateDatabase.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/StateDatabase.cxx
--- bzflag-2.0.10.20071115/src/common/StateDatabase.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/StateDatabase.cxx	2008-03-04 14:01:57.000000000 +0530
@@ -23,8 +23,9 @@
 #include <stack>
 #include <set>
 #include <iostream>
-#include <math.h>
+#include <cmath>
 #include <string>
+#include <cstring>
 
 // local implementation headers
 #include "ErrorHandler.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/TextUtils.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/TextUtils.cxx
--- bzflag-2.0.10.20071115/src/common/TextUtils.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/TextUtils.cxx	2008-03-04 14:02:30.000000000 +0530
@@ -20,9 +20,10 @@
 #include <string>
 #include <algorithm>
 #include <sstream>
-#include <stdarg.h>
+#include <cstdarg>
 #include <vector>
-#include <stdio.h>
+#include <cstdio>
+#include <cstring>
 
 namespace TextUtils
 {
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/common/TimeKeeper.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/common/TimeKeeper.cxx
--- bzflag-2.0.10.20071115/src/common/TimeKeeper.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/common/TimeKeeper.cxx	2008-03-04 14:02:48.000000000 +0530
@@ -16,6 +16,7 @@
 /* system implementation headers */
 #include <time.h>
 #include <string>
+#include <cstring>
 #ifdef HAVE_UNISTD_H
 #  include <unistd.h>
 #endif
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/game/ServerItem.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/game/ServerItem.cxx
--- bzflag-2.0.10.20071115/src/game/ServerItem.cxx	2007-11-16 03:58:32.000000000 +0530
+++ bzflag-2.0.10.20071115/src/game/ServerItem.cxx	2008-03-04 14:04:46.000000000 +0530
@@ -14,6 +14,7 @@
 
 /* system headers */
 #include <string>
+#include <cstring>
 
 /* interface header */
 #include "ServerItem.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/game/ServerListCache.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/game/ServerListCache.cxx
--- bzflag-2.0.10.20071115/src/game/ServerListCache.cxx	2007-09-18 03:18:13.000000000 +0530
+++ bzflag-2.0.10.20071115/src/game/ServerListCache.cxx	2008-03-04 14:05:24.000000000 +0530
@@ -15,6 +15,7 @@
 
 /* system headers */
 #include <fstream>
+#include <cstring>
 
 // invoke persistent rebuilding for build versioning
 #include "version.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/game/ServerList.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/game/ServerList.cxx
--- bzflag-2.0.10.20071115/src/game/ServerList.cxx	2007-09-18 03:18:13.000000000 +0530
+++ bzflag-2.0.10.20071115/src/game/ServerList.cxx	2008-03-04 14:05:09.000000000 +0530
@@ -18,9 +18,10 @@
 #include <vector>
 #include <string>
 #if !defined(_WIN32)
-#include <errno.h>
+#include <cerrno>
 #endif
-#include <ctype.h>
+#include <cctype>
+#include <cstring>
 
 /* common implementation headers */
 #include "version.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/geometry/TankSceneNode.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/geometry/TankSceneNode.cxx
--- bzflag-2.0.10.20071115/src/geometry/TankSceneNode.cxx	2007-11-16 03:58:31.000000000 +0530
+++ bzflag-2.0.10.20071115/src/geometry/TankSceneNode.cxx	2008-03-04 14:06:27.000000000 +0530
@@ -19,7 +19,8 @@
 #include "TankSceneNode.h"
 
 // system headers
-#include <math.h>
+#include <cmath>
+#include <cstring>
 
 // common implementation headers
 #include "StateDatabase.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/geometry/WallSceneNode.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/geometry/WallSceneNode.cxx
--- bzflag-2.0.10.20071115/src/geometry/WallSceneNode.cxx	2007-09-18 03:18:07.000000000 +0530
+++ bzflag-2.0.10.20071115/src/geometry/WallSceneNode.cxx	2008-03-04 14:06:53.000000000 +0530
@@ -18,9 +18,10 @@
 #include "PolyWallSceneNode.h"
 
 // system headers
-#include <stdio.h>
-#include <stdlib.h>
-#include <math.h>
+#include <cstdio>
+#include <cstdlib>
+#include <cmath>
+#include <cstring>
 
 // common implementation headers
 #include "StateDatabase.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/mediafile/PNGImageFile.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/mediafile/PNGImageFile.cxx
--- bzflag-2.0.10.20071115/src/mediafile/PNGImageFile.cxx	2007-09-18 03:18:05.000000000 +0530
+++ bzflag-2.0.10.20071115/src/mediafile/PNGImageFile.cxx	2008-03-04 14:09:00.000000000 +0530
@@ -13,6 +13,7 @@
 #include "common.h"
 #include "PNGImageFile.h"
 #include <iostream>
+#include <cstring>
 #include "Pack.h"
 #include "bzfio.h"
 #include "../zlib/zconf.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/net/AresHandler.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/net/AresHandler.cxx
--- bzflag-2.0.10.20071115/src/net/AresHandler.cxx	2007-09-18 03:18:06.000000000 +0530
+++ bzflag-2.0.10.20071115/src/net/AresHandler.cxx	2008-03-04 14:04:00.000000000 +0530
@@ -14,7 +14,8 @@
 #include "AresHandler.h"
 
 /* system implementation headers */
-#include <errno.h>
+#include <cerrno>
+#include <cstring>
 
 
 
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/ogl/OpenGLTexture.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/ogl/OpenGLTexture.cxx
--- bzflag-2.0.10.20071115/src/ogl/OpenGLTexture.cxx	2007-09-18 03:18:05.000000000 +0530
+++ bzflag-2.0.10.20071115/src/ogl/OpenGLTexture.cxx	2008-03-04 14:07:55.000000000 +0530
@@ -14,6 +14,7 @@
 
 // system headers
 #include <string>
+#include <cstring>
 
 // common headers
 #include "bzfio.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/scene/BSPSceneDatabase.cxx /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/scene/BSPSceneDatabase.cxx
--- bzflag-2.0.10.20071115/src/scene/BSPSceneDatabase.cxx	2007-09-18 03:18:07.000000000 +0530
+++ bzflag-2.0.10.20071115/src/scene/BSPSceneDatabase.cxx	2008-03-04 14:08:25.000000000 +0530
@@ -16,7 +16,8 @@
 
 #include "common.h"
 #include "SceneNode.h"
-#include <assert.h>
+#include <cassert>
+#include <cstring>
 #include "BSPSceneDatabase.h"
 #include "ViewFrustum.h"
 #include "SphereSceneNode.h"
diff -Nru /tmp/G9aAte3kwg/bzflag-2.0.10.20071115/src/scene/Makefile /tmp/JE3F4Kb7Ej/bzflag-2.0.10.20071115/src/scene/Makefile
